.floating-side-nav {
    position: fixed;
    right: 8px;
    top: 50%;
    transform: translateY(-50%);
    z-index: 9999;
    pointer-events: none;
    transition: opacity 0.3s ease, visibility 0.3s ease;

    /* Hide by default */
    opacity: 0;
    display: none;
}


/* Show only on screens 768px and above (tablet landscape & desktop) */
/* Show only on screens 768px and up (iPad landscape, desktops) */
@media (min-width: 768px) {
    .floating-side-nav {
        display: block;
        position: fixed;
        right: 8px;
        top: 50%;
        transform: translateY(-50%);
        z-index: 9999;
        pointer-events: auto;
        transition: opacity 0.3s ease, visibility 0.3s ease;
        opacity: 1;
        visibility: visible;
    }
}

.floating-side-nav ul {
    list-style: none;
    padding: 0;
    margin: 0;
}

.floating-side-nav li {
    margin-bottom: 10px;
}

.floating-side-nav button {
    display: block;
    padding: 8px 12px;
    background-color: var(--color-secondary) !important;
    color: #000;
    border: none;
    border-radius: 6px;
    cursor: pointer;
    font-weight: 500;
    width: 100%;
    white-space: nowrap;
}

.floating-side-nav .back-to-top {
    background-color: #fff;
}